Package relaxngcc.datatype

## Class Macro

- java.lang.Object
- - relaxngcc.datatype.Macro

-     public class Macro
      extends java.lang.Object

  A string with some free variables
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Macro.Variable` | Variable.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Macro()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String str)` | Adds a new literal string to the token list.
    `void` | `add​(Macro.Variable tkn)` | Adds a new macro to the token list.
    `java.lang.String` | `toString​(java.util.Map dictionary)` | Expands all the variables with a given dictionary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Macro

          public Macro()

  - ### Method Detail

    - #### add

          public void add​(java.lang.String str)

      Adds a new literal string to the token list.

    - #### add

          public void add​(Macro.Variable tkn)

      Adds a new macro to the token list.

    - #### toString

          public java.lang.String toString​(java.util.Map dictionary)
                                    throws NoDefinitionException

      Expands all the variables with a given dictionary
      Parameters:
        `String` - to string dictionary.
      Throws:
        `NoDefinitionException` - thrown when there's a variable whose definition is not given by the specified dictionary.